<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Evaluation\EvaluationId;
use DomainException;

use function sprintf;

final class NonProprietaireDeLEvaluationException extends DomainException
{
    public static function withId(EvaluationId $id): self
    {
        return new self(sprintf(
            'Vous n\'êtes pas le propriétaire de l\'évaluation "%s".',
            $id,
        ));
    }
}
